Summary:	DWARF optimization and duplicate removal tool
Summary(pl.UTF-8):	Narzędzie do optymalizacji DWARF i usuwania duplikatów
Name:		dwz
Version:	0.15
Release:	1
License:	GPL v2+ and GPL v3+ with GCC Runtime Library Exception v3.1
Group:		Development/Tools
Source0:	ftp://sourceware.org/pub/dwz/releases/%{name}-%{version}.tar.xz
# Source0-md5:	d2867986d0df78bfbc22587628873fae
URL:		http://www.sourceware.org/dwz/
BuildRequires:	elfutils-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xxHash-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dwz package contains a program that attempts to optimize DWARF
debugging information contained in ELF shared libraries and ELF
executables for size, by replacing DWARF information representation
with equivalent smaller representation where possible and by reducing
the amount of duplication using techniques from DWARF standard
appendix E - creating DW_TAG_partial_unit compilation units (CUs) for
duplicated information and using DW_TAG_imported_unit to import it
into each CU that needs it.

%description -l pl.UTF-8
Pakiet dwz zawiera program próbujący zoptymalizować informacje DWARF
dla debuggerów, zawarte w bibliotekach współdzielonych i plikach
wykonywalnych ELF, pod kątem rozmiaru, zastępując reprezentację
informacji DWARF równoważną o mniejszym rozmiarze oraz zmniejszając
stopień duplikacji przy użyciu technik opisanych w załączniku E do
standardu DWARF - poprzez tworzenie jednostek kompilacji (CU)
DW_TAG_partial_unit dla informacji zduplikowanych oraz używanie
DW_TAG_imported_unit do importowania ich w każdej CU, która ich
wymaga.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.RUNTIME
%attr(755,root,root) %{_bindir}/dwz
%{_mandir}/man1/dwz.1*
%changelog
* Sat Nov 05 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dwz.git;a=log;h=master

* Fri Nov 04 2022 Jan Palus <atler@pld-linux.org> 99953bf
- up to 0.15

* Sat Jul 23 2022 Jan Palus <atler@pld-linux.org> ddc3349
- up to 0.14

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 0836885
- updated to 0.13
- pl

* Mon Jul 22 2013 Paweł Sikora <pawel.sikora@agmk.net> 4e07ed1
- updated to 0.11.

* Sat Jul 28 2012 Elan Ruusamäe <glen@delfi.ee> dca65dd
- new

